Loading...
Searching...
No Matches
cxx::Bits::Bst_node Class Reference

Basic type of a node in a binary search tree (BST). More...

`#include <bst_base.h>`

Inheritance diagram for cxx::Bits::Bst_node:
Collaboration diagram for cxx::Bits::Bst_node:

## Protected Member Functions

| Bst_node ()
| Create uninitialized node.
| Bst_node (bool)
| Create initialized node.

## Static Protected Member Functions

Access to BST linkage.
Provide access to the tree linkage to inherited classes Inherited nodes, such as AVL nodes should make these methods private via 'using'
static Bst_node * | next (Bst_node const *p, Direction d)
| Get next node in direction d.
static void | next (Bst_node *p, Direction d, Bst_node *n)
| Set next node of p in direction d to n.
static Bst_node ** | next_p (Bst_node *p, Direction d)
| Get pointer to link in direction d.
template<typename Node>
static Node * | next (Bst_node const *p, Direction d)
| Get next node in direction d as type Node.
static void | rotate (Bst_node **t, Direction idir)
| Rotate subtree t in the opposite direction of idir.

## Detailed Description

Basic type of a node in a binary search tree (BST).

Definition at line 70 of file bst_base.h.

The documentation for this class was generated from the following file:

- l4/cxx/bits/bst_base.h